## yt-dlp 2022.04.08

=== Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with MANIFEST.in
# intended use: when building a source distribution,
# make pypi-files && python setup.py sdist
pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites completions yt-dlp.1 devscripts/* test/*

.PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites

clean-test:
	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.flac *.flv *.jpeg *.jpg *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 \
	*.mp4 *.ogg *.opus *.png *.sbv *.srt *.swf *.swp *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap
clean-cache:
	find . \( -name "*.pyc" -o -name "*.class" \) -delete

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
DESTDIR ?= .
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: lazy-extractors yt-dlp yt-dlp.1 completions
	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	install -Dm644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	install -Dm644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	install -Dm644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	flake8 .

test:
	$(PYTHON) -m pytest
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -k "not download"

yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
	mkdir -p zip
	for d in yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py
	mv zip/yt_dlp/__main__.py zip/
	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: yt_dlp/*.py yt_dlp/*/*.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: yt_dlp/*.py yt_dlp/*/*.py devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@tar -czf $(DESTDIR)/yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile MANIFEST.in yt-dlp.1 README.txt completions \
		setup.py setup.cfg yt-dlp yt_dlp requirements.txt \
		devscripts test tox.ini pytest.ini

AUTHORS: .mailmap
	git shortlog -s -n | cut -f2 | sort > AUTHORS

.mailmap:
	git shortlog -s -e -n | awk '!(out[$$NF]++) { $$1="";sub(/^[ \t]+/,""); print}' > .mailmap

=== debian/changelog ===
yt-dlp (2022.04.08-1) unstable; urgency=medium

  * New upstream version 2022.04.08.
    - Refresh supported sites.
    - Refresh patch.
  * d/control: Require dh-python 5.20211213 for 'environment marker' support.
    (LP: #1967266)

 -- Unit 193 <unit193@debian.org>  Sat, 09 Apr 2022 00:56:04 -0400

yt-dlp (2022.03.08.1-1) unstable; urgency=medium

  * New upstream version 2022.03.08.1.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Tue, 08 Mar 2022 20:00:37 -0500

yt-dlp (2022.02.04-1) unstable; urgency=medium

  * New upstream version 2022.02.04.

 -- Unit 193 <unit193@debian.org>  Fri, 04 Feb 2022 02:11:34 -0500

yt-dlp (2022.02.03-1) unstable; urgency=medium

  * New upstream version 2022.02.03.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Thu, 03 Feb 2022 20:39:11 -0500

yt-dlp (2022.01.21-1) unstable; urgency=medium

  * New upstream version 2022.01.21.
    - Refresh supported sites.
    - Refresh patches.
  * d/copyright: Update years.

 -- Unit 193 <unit193@debian.org>  Fri, 21 Jan 2022 23:13:03 -0500

yt-dlp (2021.12.27-1) unstable; urgency=medium

  * Prepare for git.
  * Add autopkgtest to run upstream's testsuite.
  * New upstream version 2021.12.27.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Wed, 29 Dec 2021 20:34:30 -0500

yt-dlp (2021.12.01-1) unstable; urgency=medium

  * Initial release, adapting packaging from youtube-dl. (Closes: #1001933)

 -- Unit 193 <unit193@debian.org>  Tue, 21 Dec 2021 03:49:23 -0500

=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20min, 23video, 247sports, 24video, 3qsdn, 3sat,
 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, ADN, AdobeConnect, adobetv, AdultSwim, aenetworks, afreecatv,
 AirMozilla, AliExpressLive, AlJazeera, Allocine, AlphaPorno, Alsace20TV,
 Alsace20TVEmbed, Alura, AluraCourse, Amara, AmazonStore, AMCNetworks,
 AmericasTestKitchen, AmericasTestKitchenSeason, AmHistoryChannel,
 anderetijden, AnimalPlanet, AnimeLab, AnimeLabShows, AnimeOnDemand,
 Anvato, aol.com, APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts,
 appletrailers, archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena,
 arte.sky.it, ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist,
 AsianCrush, AsianCrushPlaylist, AtresPlayer, ATTTechChannel, ATVAt,
 AudiMedia, AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo,
 BanBye, BanByeChannel, bandaichannel, Bandcamp, bangumi.bilibili.com,
 BannedVideo, bbc, bbc.co.uk, BBVTV, Beatport, Beeg, BehindKink, Bellator,
 BellMedia, Bet, bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili, Bilibili
 category extractor, BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel,
 BiliBiliPlayer, BiliBiliSearch, BiliIntl, BiliIntlSeries, BioBioChileTV,
 Biography, BIQLE, BitChute, BitChuteChannel, BlackboardCollaborate,
 BleacherReport, BleacherReportCMS, blogger.com, Bloomberg, BokeCC,
 BongaCams, BostonGlobe, Box, Bpb, BR, BravoTV, Break, BreitBart,
 BRMediathek, BusinessInsider, BuzzFeed, BYUtv, CableAV, Callin,
 Caltrans, CAM4, Camdemy, CamdemyFolder, CamModels, CamWithHer,
 CanalAlpha, canalc2.tv, Canalplus, Canvas, CanvasEen, CarambaTV,
 CarambaTVPage, CartoonNetwork, cbc.ca, CBS, CBSInteractive, CBSLocal,
 CBSLocalArticle, cbsnews, cbssports, CCMA, CCTV, CDA, CeskaTelevize,
 CGTN, channel9, CharlieRose, Chaturbate, Chilloutzone, Chingari,
 ChingariUser, chirbit, cielotv.it, Cinchcast, Cinemax, CiscoLiveSearch,
 CiscoLiveSession, ciscowebex, CJSW, cliphunter, Clippit, ClipRs,
 Clipsyndicate, CloserToTruth, CloudflareStream, Cloudy, Clubic, Clyp,
 cmt.com, CNBC, CNBCVideo, CNN, CNNArticle, CNNBlogs, ComedyCentral,
 ComedyCentralTV, CondeNast, CONtv, CookingChannel, Corus, Coub, CozyTV,
 cp24, cpac, Cracked, Crackle, Craftsy, CrooksAndLiars, CrowdBunker,
 CrowdBunkerChannel, crunchyroll, CSpan, CSpanCongress, CtsNews,
 CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream,
 CWTV, Cybrary, CybraryCourse, Daftsex, DagelijkseKost, DailyMail,
 dailymotion, daum.net, DBTV, DctpTv, DeezerAlbum, DeezerPlaylist,
 defense.gouv.fr, democracynow, DestinationAmerica, DHM, Digg,
 DigitalConcertHall, DigitallySpeaking, Digiteka, Discovery,
 DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 Disney, DIYNetwork, DoodStream, Dotsub, Douyin, DouyuShow, DouyuTV,
 DPlay, DRBonanza, Drooble, Dropbox, Dropout, DropoutSeason, DrTuber,
 drtv, DTube, duboku, Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld,
 EchoMsk, ehftv, eHow, EinsUndEinsTV, Einthusan, eitb.tv, EllenTube,
 EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly, EMPFlix,
 Engadget, Epicon, EpiconSeries, Eporner, EroProfile, ertflix, Escapist,
 ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa, EuropeanTour,
 EUScreen, EWETV, ExpoTV, Expressen, ExtremeTube, EyedoTV, facebook,
 FacebookPluginsVideo, faz.net, fc2, Fczenit, Filmmodu, filmon, Filmweb,
 FiveThirtyEight, FiveTV, Flickr, Folketinget, FoodNetwork, FootyRoom,
 Formula1, FOX, FOX9, FOX9News, Foxgay, foxnews, FoxSports, fptplay,
 FranceCulture, FranceInter, FranceTV, francetvinfo.fr, FranceTVSite,
 Freesound, freespeech.org, FrontendMasters, FrontendMastersCourse,
 FrontendMastersLesson, FujiTVFODPlus7, Funimation, Funk, Fusion,
 Fux, Gab, GabTV, Gaia, GameInformer, GameJolt, GameJoltCommunity,
 GameJoltGame, GameJoltGameSoundtrack, GameJoltSearch, GameJoltUser,
 GameSpot, GameStar, Gaskrank, Gazeta, GDCVault, GediDigital,
 gem.cbc.ca, generic, Gettr, GettrStreaming, Gfycat, GiantBomb, Giga,
 GlattvisionTV, Glide, Globo, GloboArticle, glomex, Go, GoDiscovery,
 GodTube, Gofile, Golem, GoogleDrive, GoPro, Goshgay, GoToStage,
 GPUTechConf, Gronkh, Groupon, hbo, HearThisAt, Heise, HellPorno,
 Helsinki, HentaiStigma, hetklokhuis, HGTVDe, HGTVUsa, HiDive,
 HistoricFilms, hitbox, HitRecord, hketv, HotNewHipHop, hotstar,
 Howcast, HowStuffWorks, hrfernsehen, HRTi, HRTiPlaylist, HSEProduct,
 HSEShow, Huajiao, HuffPost, Hungama, HungamaAlbumPlaylist, HungamaSong,
 Hypem, ign.com, IGNArticle, IGNVideo, IHeartRadio, imdb, Imgur, Ina,
 Inc, IndavideoEmbed, InfoQ, Instagram, InstagramIOS, Internazionale,
 InternetVideoArchive, InvestigationDiscovery, IPrima, IPrimaCNN, iq.com,
 iqiyi, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara,
 Izlesene, Jable, JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo,
 Joj, Jove, JWPlatform, Kakao, Kaltura, Karaoketv, KarriereVideos,
 Katsomo, KeezMovies, KelbyOne, Ketnet, khanacademy, KickStarter,
 KinjaEmbed, KinoPoisk, KonserthusetPlay, Koo, KrasView, Ku6, KUSI,
 la7.it, laola1tv, LastFM, LastFMPlaylist, LastFMUser, lbry, LCI, Lcp,
 LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse,
 LEGO, Lemonde, Lenta, LePlaylist, LetvCloud, Libsyn, life, limelight,
 LineLive, LineLiveChannel, LinkedIn, LinuxAcademy, LiTV, LiveJournal,
 livestream, Lnk, LnkGo, loc, LocalNews8, LoveHomePorn, lrt.lt, lynda,
 m6, MagentaMusik360, mailru, MainStreaming, MallTV, MangoTV, ManotoTV,
 ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV, Markiza, MarkizaPage,
 massengeschmack.tv, MatchTV, MDR, MedalTV, media.ccc.de, Mediaite,
 MediaKlikk, Medialaan, Mediaset, MediasetShow, Mediasite,
 MediasiteCatalog, MediasiteNamedCatalog, Medici, megaphone.fm,
 megatvcom, Meipai, MelonVOD, META, metacafe, Metacritic, mewatch,
 Mgoon, MiaoPai, microsoftstream, mildom, minds, MinistryGrid, Minoto,
 miomio.tv, mirrativ, MiTele, mixch, mixcloud, MLB, MLBVideo, MLSSoccer,
 Mnet, MNetTV, MoeVideo, Mofosex, MofosexEmbed, Mojvideo, Morningstar,
 Motherless, MotherlessGroup, Motorsport, MovieClips, MovieFap,
 Moviepilot, Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it,
 mtvjapan, MTVUutisetArticle, MuenchenTV, Murrtube, MurrtubeUser,
 MuseScore, MusicdexAlbum, MusicdexArtist, MusicdexPlaylist,
 MusicdexSong, mva, Mwave, MwaveMeetGreet, Mxplayer, MxplayerShow,
 MyChannels, MySpace, MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed,
 n-tv.de, N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver,
 NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV, Nebula,
 NerdCubedFeed, NetPlus, Netzkino, Newgrounds, Newstube, Newsy, NextMedia,
 NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB, NFHSNetwork, nfl.com,
 NhkForSchoolBangumi, NhkForSchoolProgramList, NhkForSchoolSubject,
 NhkVod, NhkVodProgram, nhl.com, nick.com, nick.de, nickelodeonru,
 nicknight, niconico, NiconicoUser, Nintendo, Nitter, njoy, NJPWWorld,
 NobelPrize, NonkTube, NoodleMagazine, Noovo, Normalboots, NosVideo,
 Nova, NovaEmbed, NovaPlay, nowness, Noz, npo, Npr, NRK, NRKPlaylist,
 NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte, NRKTVEpisode,
 NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru, Nuvid, NYTimes,
 NYTimesArticle, NYTimesCooking, nzherald, NZZ, ocw.mit.edu, OdaTV,
 Odnoklassniki, OktoberfestTV, OlympicsReplay, on24, OnDemandKorea,
 OneFootball, onet.pl, onet.tv, OnetMVP, OnionStudios, Ooyala,
 OoyalaExternal, Opencast, OpencastPlaylist, openrec, OraTV, OsnatelTV,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, Panopto, PanoptoList,
 PanoptoPlaylist, ParamountNetwork, ParamountPlus, ParamountPlusSeries,
 parliamentlive.tv, Parlview, Patreon, PatreonUser, pbs, PearVideo,
 PeekVids, peer.tv, PeerTube, peloton, People, PerformGroup, periscope,
 PhilharmonieDeParis, phoenix.de, Photobucket, Piapro, Picarto,
 PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection, Pladform,
 PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it, PlayPlusTV,
 PlayStuff, PlaysTV, Playtvak, Playvid, PlayVids, Playwire, pluralsight,
 PlutoTV, podomatic, Pokemon, PokemonSoundLibrary, PokemonWatch, PokerGo,
 PokerGoCollection, PolsatGo, PolskieRadio, PolskieRadioCategory,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PressTV, ProjectVeritas, prosiebensat1, PRXAccount, PRXSeries,
 PRXStory, puhutv, Puls4, Pyvideo, qqmusic, QuantumTV, Qub, R7,
 R7Article, Radiko, RadikoRadio, radio.de, radiobremen, radiocanada,
 radiofrance, RadioJavan, radiokapital, RadioZetPodcast, radlive, Rai,
 RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound, RaiPlaySoundLive,
 RaiPlaySoundPlaylist, RayWenderlich, RayWenderlichCourse, RBMARadio,
 RCS, RCSEmbeds, RCSVarious, RCTIPlus, RCTIPlusSeries, RCTIPlusTV, RDS,
 RedBull, RedBullEmbed, RedBullTV, RedBullTVRrnContent, Reddit, RedGifs,
 RedGifsSearch, RedGifsUser, RedTube, RegioTV, RENTV, RENTVArticle,
 Restudy, Reuters, ReverbNation, RICE, RMCDecouverte, RockstarGames,
 Rokfin, RoosterTeeth, RoosterTeethSeries, RottenTomatoes, Rozhlas,
 RTBF, RTDocumentry, RTDocumentryPlaylist, rte, rtl.nl, rtl2, RTNews,
 RTP, RTRFM, RTS, RTVNH, RTVS, RUHD, Rule34Video, RumbleChannel,
 RumbleEmbed, Ruptly, rutube, RUTV, Ruutu, Ruv, safari, Saitosan,
 SAKTV, SaltTV, SampleFocus, Sapo, savefrom.net, SBS, schooltv,
 ScienceChannel, Screencast, ScreencastOMatic, ScrippsNetworks,
 SCTE, SCTECourse, Seeker, SenateGov, SenateISVP, SendtoNews, Servus,
 Sexu, SeznamZpravy, SeznamZpravyArticle, Shahid, ShahidShow, Shared,
 ShemarooMe, ShowRoomLive, simplecast, Sina, Skeb, sky.it, skyacademy.it,
 SkylineWebcams, SkyNewsAU, Slideshare, SlidesLive, Slutload, Snotr,
 Sohu, SonyLIV, SonyLIVSeries, soundcloud, SoundcloudEmbed, soundgasm,
 southpark.cc.com, southpark.de, southpark.nl, southparkstudios.dk,
 SovietsCloset, SovietsClosetPlaylist, SpankBang, SpankBangPlaylist,
 Spankwire, Spiegel, Sport5, SportBox, SportDeutschland,
 spotify, Spreaker, SpreakerPage, SpreakerShow, SpreakerShowPage,
 SpringboardPlatform, Sprout, SRGSSR, SRGSSRPlay, stanfordoc,
 startv, Steam, Stitcher, StitcherShow, StoryFire, StoryFireSeries,
 StoryFireUser, Streamable, Streamanity, streamcloud.eu, StreamCZ,
 StreamFF, StreetVoice, StretchInternet, Stripchat, SunPorno, SVT,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = yt_dlp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean

override_dh_auto_test:
	make offlinetest PYTHON=python3

override_dh_installchangelogs:
	dh_installchangelogs Changelog.md

	
basenum = $(shell sed -n '/Currently supported sites/=' debian/control)
generate_supported_sites:
	$(shell head -n +$$(expr $(basenum) + 1) debian/control > debian/control.new; \
	sed -n -e 's/.* \- \*\*/ /g' -e 's/:.*//' -e 's/\*\*.*/,/p' supportedsites.md | fmt >> debian/control.new)

## yt-dlp 2022.06.29

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 # Keep this list in sync with MANIFEST.in
 # intended use: when building a source distribution,
 # make pypi-files && python setup.py sdist
-pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites completions yt-dlp.1 devscripts/* test/*
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
+	        completions yt-dlp.1 requirements.txt setup.cfg devscripts/* test/*
 
 .PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites
 
@@ -22,7 +23,9 @@
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
 	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap
 clean-cache:
-	find . \( -name "*.pyc" -o -name "*.class" \) -delete
+	find . \( \
+		-type d -name .pytest_cache -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
+	\) -prune -exec rm -rf {} \;
 
 completion-bash: completions/bash/yt-dlp
 completion-fish: completions/fish/yt-dlp.fish
@@ -43,11 +46,23 @@
 MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)
 
 install: lazy-extractors yt-dlp yt-dlp.1 completions
-	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
-	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
-	install -Dm644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
-	install -Dm644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
-	install -Dm644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish
+	mkdir -p $(DESTDIR)$(BINDIR)
+	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
+	mkdir -p $(DESTDIR)$(MANDIR)/man1
+	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
+	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
+	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
+	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
+	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
+	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
+	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish
+
+uninstall:
+	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
+	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
+	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
+	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
+	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish
 
 codetest:
 	flake8 .
@@ -59,25 +74,28 @@
 offlinetest: codetest
 	$(PYTHON) -m pytest -k "not download"
 
+# XXX: This is hard to maintain
+CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat \
+               yt_dlp/extractor/anvato_token_generator
 yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
 	mkdir -p zip
-	for d in yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor ; do \
+	for d in $(CODE_FOLDERS) ; do \
 	  mkdir -p zip/$$d ;\
 	  cp -pPR $$d/*.py zip/$$d/ ;\
 	done
-	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py
+	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py zip/yt_dlp/*/*/*.py
 	mv zip/yt_dlp/__main__.py zip/
-	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py __main__.py
+	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py yt_dlp/*/*/*.py __main__.py
 	rm -rf zip
 	echo '#!$(PYTHON)' > yt-dlp
 	cat yt-dlp.zip >> yt-dlp
 	rm yt-dlp.zip
 	chmod a+x yt-dlp
 
-README.md: yt_dlp/*.py yt_dlp/*/*.py
-	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --help | $(PYTHON) devscripts/make_readme.py
+README.md: yt_dlp/*.py yt_dlp/*/*.py devscripts/make_readme.py
+	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py
 
-CONTRIBUTING.md: README.md
+CONTRIBUTING.md: README.md devscripts/make_contributing.py
 	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md
 
 issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
@@ -94,7 +112,7 @@
 README.txt: README.md
 	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt
 
-yt-dlp.1: README.md
+yt-dlp.1: README.md devscripts/prepare_manpage.py
 	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
 	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
 	rm -f yt-dlp.1.temp.md
@@ -111,7 +129,7 @@
 	mkdir -p completions/fish
 	$(PYTHON) devscripts/fish-completion.py
 
-_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
+_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py')
 yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
 	$(PYTHON) devscripts/make_lazy_extractors.py $@
 
@@ -123,13 +141,14 @@
 		--exclude '*.pyo' \
 		--exclude '*~' \
 		--exclude '__pycache__' \
+		--exclude '.pytest_cache' \
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \
 		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
 		Makefile MANIFEST.in yt-dlp.1 README.txt completions \
 		setup.py setup.cfg yt-dlp yt_dlp requirements.txt \
-		devscripts test tox.ini pytest.ini
+		devscripts test
 
 AUTHORS: .mailmap
 	git shortlog -s -n | cut -f2 | sort > AUTHORS

=== debian/changelog ===
yt-dlp (2022.06.29-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Jul 2022 15:44:33 -0700

yt-dlp (2022.06.29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Sun, 03 Jul 2022 00:18:34 -0400

yt-dlp (2022.06.29-1) unstable; urgency=medium

  * New upstream version 2022.06.29.
    - Refresh supported sites.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Thu, 30 Jun 2022 22:22:01 -0400

yt-dlp (2022.06.22.1-1) unstable; urgency=medium

  * New upstream version 2022.06.22.1. (Closes: #1013332)
    - Refresh supported sites.
    - Refresh patches.
  * d/control: Lower mpv to suggests, it's only used in rtsp
    streams and seems those are unpopular.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Jun 2022 18:45:03 -0400

yt-dlp (2022.05.18-1) unstable; urgency=medium

  * New upstream version 2022.05.18.
    - Refresh supported sites.
    - Refresh patches.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Thu, 19 May 2022 05:25:24 -0400

=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 5.20211213~),
               pandoc,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends},
            aria2 | wget | curl,
            ca-certificates,
            ffmpeg,
            python3-pyxattr,
            rtmpdump
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20min, 23video, 247sports, 24video, 3qsdn, 3sat,
 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, ADN, AdobeConnect, adobetv, AdultSwim, aenetworks, afreecatv,
 AirMozilla, AliExpressLive, AlJazeera, Allocine, AlphaPorno, Alsace20TV,
 Alsace20TVEmbed, Alura, AluraCourse, Amara, AmazonStore, AMCNetworks,
 AmericasTestKitchen, AmericasTestKitchenSeason, AmHistoryChannel,
 anderetijden, AnimalPlanet, AnimeOnDemand, Anvato, aol.com, APA,
 Aparat, AppleConnect, AppleDaily, ApplePodcasts, appletrailers,
 archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena, arte.sky.it,
 ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist, AsianCrush,
 AsianCrushPlaylist, AtresPlayer, AtScaleConfEvent, ATTTechChannel, ATVAt,
 AudiMedia, AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo,
 BanBye, BanByeChannel, bandaichannel, Bandcamp, bangumi.bilibili.com,
 BannedVideo, bbc, bbc.co.uk, BBVTV, Beatport, Beeg, BehindKink, Bellator,
 BellMedia, Bet, bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili, Bilibili
 category extractor, BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel,
 BiliBiliPlayer, BiliBiliSearch, BiliIntl, BiliIntlSeries, BiliLive,
 BioBioChileTV, Biography, BIQLE, BitChute, BitChuteChannel,
 BlackboardCollaborate, BleacherReport, BleacherReportCMS, blogger.com,
 Bloomberg, BokeCC, BongaCams, BostonGlobe, Box, Bpb, BR, BravoTV, Break,
 BreitBart, BRMediathek, BusinessInsider, BuzzFeed, BYUtv, CableAV,
 Callin, Caltrans, CAM4, Camdemy, CamdemyFolder, CamModels, CamWithHer,
 CanalAlpha, canalc2.tv, Canalplus, Canvas, CanvasEen, CarambaTV,
 CarambaTVPage, CartoonNetwork, cbc.ca, CBS, CBSInteractive, CBSLocal,
 CBSLocalArticle, cbsnews, cbssports, CCMA, CCTV, CDA, CeskaTelevize,
 CGTN, channel9, CharlieRose, Chaturbate, Chilloutzone, Chingari,
 ChingariUser, chirbit, cielotv.it, Cinchcast, Cinemax, CiscoLiveSearch,
 CiscoLiveSession, ciscowebex, CJSW, cliphunter, Clippit, ClipRs,
 Clipsyndicate, CloserToTruth, CloudflareStream, Cloudy, Clubic, Clyp,
 cmt.com, CNBC, CNBCVideo, CNN, CNNArticle, CNNBlogs, ComedyCentral,
 ComedyCentralTV, CondeNast, CONtv, CookingChannel, Corus, Coub, CozyTV,
 cp24, cpac, Cracked, Crackle, Craftsy, CrooksAndLiars, CrowdBunker,
 CrowdBunkerChannel, crunchyroll, CSpan, CSpanCongress, CtsNews,
 CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream, CWTV,
 Cybrary, CybraryCourse, Daftsex, DagelijkseKost, DailyMail, dailymotion,
 DailyWire, DailyWirePodcast, daum.net, DBTV, DctpTv, DeezerAlbum,
 DeezerPlaylist, defense.gouv.fr, democracynow, DestinationAmerica,
 DHM, Digg, DigitalConcertHall, DigitallySpeaking, Digiteka, Discovery,
 DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 Disney, DIYNetwork, DoodStream, Dotsub, Douyin, DouyuShow, DouyuTV,
 DPlay, DRBonanza, Drooble, Dropbox, Dropout, DropoutSeason, DrTuber,
 drtv, DTube, duboku, Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld,
 EchoMsk, ehftv, eHow, EinsUndEinsTV, Einthusan, eitb.tv, EllenTube,
 EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly, EMPFlix,
 Engadget, Epicon, EpiconSeries, Eporner, EroProfile, ertflix, Escapist,
 ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa, EuropeanTour,
 EUScreen, EWETV, ExpoTV, Expressen, ExtremeTube, EyedoTV, facebook,
 FacebookPluginsVideo, faz.net, fc2, Fczenit, Fifa, Filmmodu, filmon,
 Filmweb, FiveThirtyEight, FiveTV, Flickr, Folketinget, FoodNetwork,
 FootyRoom, Formula1, FOX, FOX9, FOX9News, Foxgay, foxnews, FoxSports,
 fptplay, FranceCulture, FranceInter, FranceTV, francetvinfo.fr,
 FranceTVSite, Freesound, freespeech.org, FreeTvMovies, FrontendMasters,
 FrontendMastersCourse, FrontendMastersLesson, FujiTVFODPlus7,
 Funimation, Funk, Fusion, Fux, FuyinTV, Gab, GabTV, Gaia, GameInformer,
 GameJolt, GameJoltCommunity, GameJoltGame, GameJoltGameSoundtrack,
 GameJoltSearch, GameJoltUser, GameSpot, GameStar, Gaskrank, Gazeta,
 GDCVault, GediDigital, gem.cbc.ca, Gettr, GettrStreaming, Gfycat,
 GiantBomb, Giga, GlattvisionTV, Glide, Globo, GloboArticle, glomex,
 Go, GoDiscovery, GodTube, Gofile, Golem, GoogleDrive, GoPro, Goshgay,
 GoToStage, GPUTechConf, Gronkh, Groupon, hbo, HearThisAt, Heise,
 HellPorno, Helsinki, HentaiStigma, hetklokhuis, HGTVDe, HGTVUsa, HiDive,
 HistoricFilms, hitbox, HitRecord, hketv, HotNewHipHop, hotstar, Howcast,
 HowStuffWorks, hrfernsehen, HRTi, HRTiPlaylist, HSEProduct, HSEShow,
 Huajiao, HuffPost, Hungama, HungamaAlbumPlaylist, HungamaSong, Hypem,
 Icareus, ign.com, IGNArticle, IGNVideo, IHeartRadio, imdb, Imgur, Ina,
 Inc, IndavideoEmbed, InfoQ, Instagram, InstagramIOS, Internazionale,
 InternetVideoArchive, InvestigationDiscovery, IPrima, IPrimaCNN, iq.com,
 iqiyi, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara,
 Ixigua, Izlesene, Jable, JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo,
 Joj, Jove, JWPlatform, Kakao, Kaltura, Karaoketv, KarriereVideos,
 Katsomo, KeezMovies, KelbyOne, Ketnet, khanacademy, Kicker, KickStarter,
 KinjaEmbed, KinoPoisk, KonserthusetPlay, Koo, KrasView, KTH, Ku6, KUSI,
 la7.it, laola1tv, LastFM, LastFMPlaylist, LastFMUser, lbry, LCI, Lcp,
 LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse,
 LEGO, Lemonde, Lenta, LePlaylist, LetvCloud, Libsyn, life, likee,
 limelight, LineLive, LineLiveChannel, LinkedIn, LinuxAcademy, LiTV,
 LiveJournal, livestream, Livestreamfails, Lnk, LnkGo, loc, LocalNews8,
 LoveHomePorn, LRTStream, LRTVOD, lynda, m6, MagentaMusik360, mailru,
 MainStreaming, MallTV, MangoTV, ManotoTV, ManotoTVLive, ManotoTVShow,
 ManyVids, MaoriTV, Markiza, MarkizaPage, massengeschmack.tv,
 Masters, MatchTV, MDR, MedalTV, media.ccc.de, Mediaite, MediaKlikk,
 Medialaan, Mediaset, MediasetShow, Mediasite, MediasiteCatalog,
 MediasiteNamedCatalog, Medici, megaphone.fm, megatvcom, Meipai, MelonVOD,
 META, metacafe, Metacritic, mewatch, Mgoon, MiaoPai, microsoftstream,
 mildom, minds, MinistryGrid, Minoto, miomio.tv, mirrativ, MirrorCoUK,
 MiTele, mixch, mixcloud, MLB, MLBVideo, MLSSoccer, Mnet, MNetTV,
 MoeVideo, Mofosex, MofosexEmbed, Mojvideo, Morningstar, Motherless,
 MotherlessGroup, Motorsport, MovieClips, MovieFap, Moviepilot,
 Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it, mtvjapan,
 MTVUutisetArticle, MuenchenTV, Murrtube, MurrtubeUser, MuseScore,
 MusicdexAlbum, MusicdexArtist, MusicdexPlaylist, MusicdexSong, mva,
 Mwave, MwaveMeetGreet, Mxplayer, MxplayerShow, MyChannels, MySpace,
 MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed, n-tv.de, N1InfoAsset,
 Nate, NateProgram, NationalGeographicTV, Naver, navernow, NBA,
 NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV, Nebula,
 NerdCubedFeed, NetPlus, Netverse, NetversePlaylist, Netzkino, Newgrounds,
 Newstube, Newsy, NextMedia, NextMediaActionNews, NextTV, Nexx, NexxEmbed,
 NFB, NFHSNetwork, nfl.com, NhkForSchoolBangumi, NhkForSchoolProgramList,
 NhkForSchoolSubject, NhkVod, NhkVodProgram, nhl.com, nick.com,
 nick.de, nickelodeonru, nicknight, niconico, NiconicoUser, Nintendo,
 Nitter, njoy, NJPWWorld, NobelPrize, NonkTube, NoodleMagazine, Noovo,
 Normalboots, NosVideo, Nova, NovaEmbed, NovaPlay, nowness, Noz, npo,
 Npr, NRK, NRKPlaylist, NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte,
 NRKTVEpisode, NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru,
 Nuvid, NYTimes, NYTimesArticle, NYTimesCooking, nzherald, NZZ,
 ocw.mit.edu, OdaTV, Odnoklassniki, OktoberfestTV, OlympicsReplay,
 on24, OnDemandKorea, OneFootball, onet.pl, onet.tv, OnetMVP,
 OnionStudios, Ooyala, OoyalaExternal, Opencast, OpencastPlaylist,
 openrec, OraTV, OsnatelTV, OutsideTV, PacktPub, PacktPubCourse,
 pandora.tv, Panopto, PanoptoList, PanoptoPlaylist, ParamountNetwork,
 ParamountPlus, ParamountPlusSeries, parliamentlive.tv, Parlview,
 Patreon, PatreonUser, pbs, PearVideo, PeekVids, peer.tv, PeerTube,
 peloton, People, PerformGroup, periscope, PhilharmonieDeParis,
 phoenix.de, Photobucket, Piapro, Picarto, PicartoVod, Piksel, Pinkbike,
 Pinterest, PinterestCollection, Pladform, PlanetMarathi, Platzi,
 PlatziCourse, play.fm, player.sky.it, PlayPlusTV, PlayStuff, PlaysTV,
 PlaySuisse, Playtvak, Playvid, PlayVids, Playwire, pluralsight,
 PlutoTV, Podchaser, podomatic, Pokemon, PokemonWatch, PokerGo,
 PokerGoCollection, PolsatGo, PolskieRadio, PolskieRadioCategory,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PremiershipRugby, PressTV, ProjectVeritas, prosiebensat1, PRXAccount,
 PRXSeries, PRXStory, puhutv, Puls4, Pyvideo, qqmusic, QuantumTV, Qub,
 R7, R7Article, Radiko, RadikoRadio, radio.de, radiobremen, radiocanada,
 radiofrance, RadioJavan, radiokapital, RadioZetPodcast, radlive, Rai,
 RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound, RaiPlaySoundLive,
 RaiPlaySoundPlaylist, RayWenderlich, RayWenderlichCourse, RBMARadio,
 RCS, RCSEmbeds, RCSVarious, RCTIPlus, RCTIPlusSeries, RCTIPlusTV, RDS,
 RedBull, RedBullEmbed, RedBullTV, RedBullTVRrnContent, Reddit, RedGifs,
 RedGifsSearch, RedGifsUser, RedTube, RegioTV, RENTV, RENTVArticle,
 Restudy, Reuters, ReverbNation, RICE, RMCDecouverte, RockstarGames,
 Rokfin, RoosterTeeth, RoosterTeethSeries, RottenTomatoes, Rozhlas,
 RTBF, RTDocumentry, RTDocumentryPlaylist, rte, rtl.nl, rtl2, RTNews,
 RTP, RTRFM, RTS, RTVNH, RTVS, RUHD, Rule34Video, RumbleChannel,
 RumbleEmbed, Ruptly, rutube, RUTV, Ruutu, Ruv, safari, Saitosan,
 SAKTV, SaltTV, SampleFocus, Sapo, savefrom.net, SBS, schooltv,
 ScienceChannel, Screencast, ScreencastOMatic, ScrippsNetworks,
 Scrolller, SCTE, SCTECourse, Seeker, SenateGov, SenateISVP, SendtoNews,
 Servus, Sexu, SeznamZpravy, SeznamZpravyArticle, Shahid, ShahidShow,
 Shared, ShemarooMe, ShowRoomLive, simplecast, Sina, Skeb, sky.it,
 skyacademy.it, SkylineWebcams, SkyNewsAU, Slideshare, SlidesLive,
 Slutload, Snotr, Sohu, SonyLIV, SonyLIVSeries, soundcloud,
 SoundcloudEmbed, soundgasm, southpark.cc.com, southpark.de,
 southpark.lat, southpark.nl, southparkstudios.dk, SovietsCloset,
